]> code.delx.au - gnu-emacs/commitdiff
*** empty log message ***
authorDave Love <fx@gnu.org>
Thu, 21 Nov 2002 20:38:07 +0000 (20:38 +0000)
committerDave Love <fx@gnu.org>
Thu, 21 Nov 2002 20:38:07 +0000 (20:38 +0000)
configure
src/config.in

index 8ab7670f34e5c102233d3d9bda5a79796a27b393..ab44da12adc1da8789f2a905c241d098f270ddf0 100755 (executable)
--- a/configure
+++ b/configure
@@ -1469,7 +1469,7 @@ echo "$as_me: WARNING: The directory tree \`${srcdir}' is being used
    now do \`make distclean' in ${srcdir},
    and then run $0 again." >&2;}
 
-  extrasub='/^VPATH[    ]*=/c\
+extrasub='/^VPATH[      ]*=/c\
 vpath %.c $(srcdir)\
 vpath %.h $(srcdir)\
 vpath %.y $(srcdir)\
@@ -1567,6 +1567,7 @@ canonical=$host
 configuration=${host_alias-$host}
 
 
+
 ### If you add support for a new configuration, add code to this
 ### switch statement to recognize your configuration name and select
 ### the appropriate operating system and machine description files.
@@ -2191,18 +2192,6 @@ case "${canonical}" in
     machine=plexus opsys=usg5-2
   ;;
 
-  ## PowerPC reference platform
-  powerpcle-*-solaris2.5* )
-    machine=prep
-    opsys=sol2-5
-  ;;
-
-  ## PowerPC reference platform
-  powerpcle-*-solaris2* )
-    machine=prep
-    opsys=sol2-6
-  ;;
-
   ## Pyramid machines
   ## I don't really have any idea what sort of processor the Pyramid has,
   ## so I'm assuming it is its own architecture.
@@ -2347,8 +2336,13 @@ case "${canonical}" in
                NON_GNU_CPP=/usr/ccs/lib/cpp
                RANLIB="ar -ts"
                ;;
+      *-sunos5.8* | *-solaris2.8* )
+               opsys=sol2-8
+               NON_GNU_CPP=/usr/ccs/lib/cpp
+               RANLIB="ar -ts"
+               ;;
       *-sunos5* | *-solaris* )
-               opsys=sol2-6
+               opsys=sol2-8
                NON_GNU_CPP=/usr/ccs/lib/cpp
                ;;
       *                          ) opsys=bsd4-2   ;;
@@ -2551,6 +2545,7 @@ if test x"${opsys}" = x; then
 fi
 
 
+
 if test $unported = yes; then
   { { echo "$as_me:$LINENO: error: Emacs hasn't been ported to \`${canonical}' systems.
 Check \`etc/MACHINES' for recognized configuration names." >&5
@@ -3997,6 +3992,13 @@ fi
 
 
 
+
+cat >>confdefs.h <<\_ACEOF
+#define _GNU_SOURCE 1
+_ACEOF
+
+
+
 # Check whether --enable-largefile or --disable-largefile was given.
 if test "${enable_largefile+set}" = set; then
   enableval="$enable_largefile"
@@ -4672,13 +4674,15 @@ fi
 
 
 
+
+
 
 
 
 for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \
   linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \
   termcap.h stdio_ext.h fcntl.h term.h strings.h coff.h pty.h sys/mman.h \
-  sys/param.h
+  sys/param.h sys/vlimit.h sys/resource.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
@@ -4791,6 +4795,56 @@ fi
 
 done
 
+
+for ac_header in term.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  eval "$as_ac_Header=yes"
+else
+  echo "$as_me: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  eval "$as_ac_Header=no"
+fi
+rm -f conftest.err conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
 if test "${ac_cv_header_stdc+set}" = set; then
@@ -7752,50 +7806,12 @@ fi
 HAVE_XAW3D=no
 if test "${HAVE_X11}" = "yes"; then
   if test "${USE_X_TOOLKIT}" != "none"; then
-    if test "${ac_cv_header_X11_Xaw3d_Scrollbar_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for X11/Xaw3d/Scrollbar.h" >&5
+            echo "$as_me:$LINENO: checking for X11/Xaw3d/Scrollbar.h" >&5
 echo $ECHO_N "checking for X11/Xaw3d/Scrollbar.h... $ECHO_C" >&6
 if test "${ac_cv_header_X11_Xaw3d_Scrollbar_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw3d_Scrollbar_h" >&5
-echo "${ECHO_T}$ac_cv_header_X11_Xaw3d_Scrollbar_h" >&6
 else
-  # Is the header compilable?
-echo "$as_me:$LINENO: checking X11/Xaw3d/Scrollbar.h usability" >&5
-echo $ECHO_N "checking X11/Xaw3d/Scrollbar.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-$ac_includes_default
-#include <X11/Xaw3d/Scrollbar.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_header_compiler=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking X11/Xaw3d/Scrollbar.h presence" >&5
-echo $ECHO_N "checking X11/Xaw3d/Scrollbar.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
+  cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 #include "confdefs.h"
 #include <X11/Xaw3d/Scrollbar.h>
@@ -7817,42 +7833,16 @@ else
   ac_cpp_err=yes
 fi
 if test -z "$ac_cpp_err"; then
-  ac_header_preproc=yes
+  ac_cv_header_X11_Xaw3d_Scrollbar_h=yes
 else
   echo "$as_me: failed program was:" >&5
   cat conftest.$ac_ext >&5
-  ac_header_preproc=no
+  ac_cv_header_X11_Xaw3d_Scrollbar_h=no
 fi
 rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc in
-  yes:no )
-    { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: proceeding with the preprocessor's result" >&2;};;
-  no:yes )
-    { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for X11/Xaw3d/Scrollbar.h" >&5
-echo $ECHO_N "checking for X11/Xaw3d/Scrollbar.h... $ECHO_C" >&6
-if test "${ac_cv_header_X11_Xaw3d_Scrollbar_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_header_X11_Xaw3d_Scrollbar_h=$ac_header_preproc
 fi
 echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw3d_Scrollbar_h" >&5
 echo "${ECHO_T}$ac_cv_header_X11_Xaw3d_Scrollbar_h" >&6
-
-fi
 if test $ac_cv_header_X11_Xaw3d_Scrollbar_h = yes; then
   echo "$as_me:$LINENO: checking for XawScrollbarSetThumb in -lXaw3d" >&5
 echo $ECHO_N "checking for XawScrollbarSetThumb in -lXaw3d... $ECHO_C" >&6
@@ -8326,7 +8316,7 @@ _ACEOF
     cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 #include "confdefs.h"
-        #include <jpeglib.h>
+#include <jpeglib.h>
         version=JPEG_LIB_VERSION
 
 _ACEOF
@@ -9982,6 +9972,8 @@ done
 
 
 
+
+
 
 
 
@@ -9992,7 +9984,7 @@ strerror fpathconf select mktime euidaccess getpagesize tzset setlocale \
 utimes setrlimit setpgid getcwd getwd shutdown strftime getaddrinfo \
 __fpending mblen mbrlen mbsinit strsignal setitimer ualarm index rindex \
 sendto recvfrom getsockopt setsockopt getsockname getpeername \
-gai_strerror mkstemp getline getdelim mremap memmove
+gai_strerror mkstemp getline getdelim mremap memmove fsync bzero
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -15352,141 +15344,131 @@ _ACEOF
 fi
 
 
-# Set up the CFLAGS for real compilation, so we can substitute it.
-CFLAGS="$REAL_CFLAGS"
-CPPFLAGS="$REAL_CPPFLAGS"
-
-#### Find out which version of Emacs this is.
-version=`grep 'defconst[        ]*emacs-version' ${srcdir}/lisp/version.el \
-        | sed -e 's/^[^"]*"\([^"]*\)".*$/\1/'`
-if test x"${version}" = x; then
-  { { echo "$as_me:$LINENO: error: can't find current emacs version in \`${srcdir}/lisp/version.el'." >&5
-echo "$as_me: error: can't find current emacs version in \`${srcdir}/lisp/version.el'." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-### Specify what sort of things we'll be editing into Makefile and config.h.
-### Use configuration here uncanonicalized to avoid exceeding size limits.
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-cat >>confdefs.h <<_ACEOF
-#define EMACS_CONFIGURATION "${canonical}"
-_ACEOF
-
-
-cat >>confdefs.h <<_ACEOF
-#define EMACS_CONFIG_OPTIONS "${ac_configure_args}"
-_ACEOF
-
-
-cat >>confdefs.h <<_ACEOF
-#define config_machfile "${machfile}"
-_ACEOF
-
-
-cat >>confdefs.h <<_ACEOF
-#define config_opsysfile "${opsysfile}"
-_ACEOF
-
-
-cat >>confdefs.h <<_ACEOF
-#define LD_SWITCH_X_SITE ${LD_SWITCH_X_SITE}
-_ACEOF
-
-
-cat >>confdefs.h <<_ACEOF
-#define LD_SWITCH_X_SITE_AUX ${LD_SWITCH_X_SITE_AUX}
-_ACEOF
-
-
-cat >>confdefs.h <<_ACEOF
-#define C_SWITCH_X_SITE ${C_SWITCH_X_SITE}
-_ACEOF
-
+echo "$as_me:$LINENO: checking for C restrict keyword" >&5
+echo $ECHO_N "checking for C restrict keyword... $ECHO_C" >&6
+if test "${emacs_cv_c_restrict+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+void fred (int *restrict x);
+int
+main ()
+{
 
-cat >>confdefs.h <<_ACEOF
-#define UNEXEC_SRC ${UNEXEC_SRC}
+  ;
+  return 0;
+}
 _ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  emacs_cv_c_restrict=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+void fred (int *__restrict x);
+int
+main ()
+{
 
-
-if test "${HAVE_X_WINDOWS}" = "yes" ; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_X_WINDOWS 1
+  ;
+  return 0;
+}
 _ACEOF
-
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  emacs_cv_c_restrict=__restrict
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+emacs_cv_c_restrict=no
 fi
-if test "${USE_X_TOOLKIT}" != "none" ; then
-
-cat >>confdefs.h <<\_ACEOF
-#define USE_X_TOOLKIT 1
-_ACEOF
-
+rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-if test "${HAVE_X11}" = "yes" ; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_X11 1
-_ACEOF
-
+rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-if test "${HAVE_XFREE386}" = "yes" ; then
+echo "$as_me:$LINENO: result: $emacs_cv_c_restrict" >&5
+echo "${ECHO_T}$emacs_cv_c_restrict" >&6
+case "$emacs_cv_c_restrict" in
+  yes) emacs_restrict=restrict;;
+  no) emacs_restrict="";;
+  *) emacs_restrict="$emacs_cv_c_restrict";;
+esac
+if test "$emacs_restrict" != __restrict; then
 
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_XFREE386 1
+cat >>confdefs.h <<_ACEOF
+#define __restrict $emacs_restrict
 _ACEOF
 
 fi
-if test "${HAVE_MENUS}" = "yes" ; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_MENUS 1
-_ACEOF
 
-fi
-if test "${GNU_MALLOC}" = "yes" ; then
+echo "$as_me:$LINENO: checking for C restricted array declarations" >&5
+echo $ECHO_N "checking for C restricted array declarations... $ECHO_C" >&6
+if test "${emacs_cv_c_restrict_arr+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+void fred (int x[__restrict]);
+int
+main ()
+{
 
-cat >>confdefs.h <<\_ACEOF
-#define GNU_MALLOC 1
+  ;
+  return 0;
+}
 _ACEOF
-
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  emacs_cv_c_restrict_arr=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+emacs_cv_c_restrict_arr=no
 fi
-if test "${REL_ALLOC}" = "yes" ; then
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $emacs_cv_c_restrict_arr" >&5
+echo "${ECHO_T}$emacs_cv_c_restrict_arr" >&6
+if test "$emacs_cv_c_restrict_arr" = yes; then
 
 cat >>confdefs.h <<\_ACEOF
-#define REL_ALLOC 1
+#define __restrict_arr __restrict
 _ACEOF
 
 fi
@@ -15612,6 +15594,147 @@ done
 
 
 
+# Set up the CFLAGS for real compilation, so we can substitute it.
+CFLAGS="$REAL_CFLAGS"
+CPPFLAGS="$REAL_CPPFLAGS"
+
+#### Find out which version of Emacs this is.
+version=`grep 'defconst[        ]*emacs-version' ${srcdir}/lisp/version.el \
+        | sed -e 's/^[^"]*"\([^"]*\)".*$/\1/'`
+if test x"${version}" = x; then
+  { { echo "$as_me:$LINENO: error: can't find current emacs version in \`${srcdir}/lisp/version.el'." >&5
+echo "$as_me: error: can't find current emacs version in \`${srcdir}/lisp/version.el'." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+### Specify what sort of things we'll be editing into Makefile and config.h.
+### Use configuration here uncanonicalized to avoid exceeding size limits.
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+cat >>confdefs.h <<_ACEOF
+#define EMACS_CONFIGURATION "${canonical}"
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define EMACS_CONFIG_OPTIONS "${ac_configure_args}"
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define config_machfile "${machfile}"
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define config_opsysfile "${opsysfile}"
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define LD_SWITCH_X_SITE ${LD_SWITCH_X_SITE}
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define LD_SWITCH_X_SITE_AUX ${LD_SWITCH_X_SITE_AUX}
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define C_SWITCH_X_SITE ${C_SWITCH_X_SITE}
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define UNEXEC_SRC ${UNEXEC_SRC}
+_ACEOF
+
+
+if test "${HAVE_X_WINDOWS}" = "yes" ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_X_WINDOWS 1
+_ACEOF
+
+fi
+if test "${USE_X_TOOLKIT}" != "none" ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_X_TOOLKIT 1
+_ACEOF
+
+fi
+if test "${HAVE_X11}" = "yes" ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_X11 1
+_ACEOF
+
+fi
+if test "${HAVE_XFREE386}" = "yes" ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_XFREE386 1
+_ACEOF
+
+fi
+if test "${HAVE_MENUS}" = "yes" ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_MENUS 1
+_ACEOF
+
+fi
+if test "${GNU_MALLOC}" = "yes" ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define GNU_MALLOC 1
+_ACEOF
+
+fi
+if test "${REL_ALLOC}" = "yes" ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define REL_ALLOC 1
+_ACEOF
+
+fi
+
+
+
 
 
 #### Report on what we decided to do.
index 3430d37ddc477cbe5ba9c16747529878bcf651fd..6d29437ad83a544032d1bcf6c4e1f1371acb4a79 100644 (file)
@@ -21,7 +21,7 @@ Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.  */
 
 
-/* No code in Emacs #includes config.h twice, but some of the code
+/* No code in Emacs #includes config.h twice, but some bits of code
    intended to work with other packages as well (like gmalloc.c) 
    think they can include it as many times as they like.  */
 #ifndef EMACS_CONFIG_H
@@ -89,6 +89,9 @@ Boston, MA 02111-1307, USA.  */
 /* Define to 1 if you have the `bcopy' function. */
 #undef HAVE_BCOPY
 
+/* Define to 1 if you have the `bzero' function. */
+#undef HAVE_BZERO
+
 /* Define to 1 if you are using the Carbon API on Mac OS X. */
 #undef HAVE_CARBON
 
@@ -134,6 +137,9 @@ Boston, MA 02111-1307, USA.  */
 /* Define to 1 if fseeko (and presumably ftello) exists and is declared. */
 #undef HAVE_FSEEKO
 
+/* Define to 1 if you have the `fsync' function. */
+#undef HAVE_FSYNC
+
 /* Define to 1 if you have the `ftime' function. */
 #undef HAVE_FTIME
 
@@ -460,6 +466,9 @@ Boston, MA 02111-1307, USA.  */
 /* Define to 1 if you have the <sys/param.h> header file. */
 #undef HAVE_SYS_PARAM_H
 
+/* Define to 1 if you have the <sys/resource.h> header file. */
+#undef HAVE_SYS_RESOURCE_H
+
 /* Define to 1 if you have the <sys/select.h> header file. */
 #undef HAVE_SYS_SELECT_H
 
@@ -484,6 +493,9 @@ Boston, MA 02111-1307, USA.  */
 /* Define to 1 if you have the <sys/un.h> header file. */
 #undef HAVE_SYS_UN_H
 
+/* Define to 1 if you have the <sys/vlimit.h> header file. */
+#undef HAVE_SYS_VLIMIT_H
+
 /* Define to 1 if you have <sys/wait.h> that is POSIX.1 compatible. */
 #undef HAVE_SYS_WAIT_H
 
@@ -708,6 +720,11 @@ Boston, MA 02111-1307, USA.  */
 /* Number of bits in a file offset, on hosts where this is settable. */
 #undef _FILE_OFFSET_BITS
 
+/* Enable GNU extensions on systems that have them.  */
+#ifndef _GNU_SOURCE
+# undef _GNU_SOURCE
+#endif
+
 /* Define to 1 to make fseeko visible on some hosts (e.g. glibc 2.2). */
 #undef _LARGEFILE_SOURCE
 
@@ -717,6 +734,14 @@ Boston, MA 02111-1307, USA.  */
 /* Define like PROTOTYPES; this can be used by system headers. */
 #undef __PROTOTYPES
 
+/* Define to compiler's equivalent of C99 restrict keyword. Don't define if
+   equivalent is `__restrict'. */
+#undef __restrict
+
+/* Define to compiler's equivalent of C99 restrict keyword in array
+   declarations. Define as empty for no equivalent. */
+#undef __restrict_arr
+
 /* Define to the used machine dependent file. */
 #undef config_machfile
 
@@ -862,8 +887,6 @@ Boston, MA 02111-1307, USA.  */
 extern char *getenv ();
 #endif
 
-#endif /* EMACS_CONFIG_H */
-
 /* These default definitions are good for almost all machines.
    The exceptions override them in m/MACHINE.h.  */
 
@@ -903,7 +926,6 @@ extern char *getenv ();
 # endif  /* GCC.  */
 #endif /* __P */
 
-
 /* Don't include "string.h" or <stdlib.h> in non-C code.  */
 #ifndef NOT_C_CODE
 #ifdef HAVE_STRING_H
@@ -915,10 +937,19 @@ extern char *getenv ();
 #ifdef HAVE_STDLIB_H
 #include <stdlib.h>
 #endif
+#ifndef __GNUC__
+# ifdef HAVE_ALLOCA_H
+#  include <alloca.h>
+# else /* AIX files deal with #pragma.  */
+#  ifndef alloca /* predefined by HP cc +Olibcalls */
+char *alloca ();
+#  endif
+# endif /* HAVE_ALLOCA_H */
+#endif /* __GNUC__ */
 #ifndef HAVE_SIZE_T
 typedef size_t unsigned
 #endif
-#endif
+#endif /* NOT_C_CODE */
 
 /* Define HAVE_X_I18N if we have usable i18n support.  */
 
@@ -944,8 +975,36 @@ typedef size_t unsigned
 #define NO_RETURN      /* nothing */
 #endif
 
+/* These won't be used automatically yet.  We also need to know, at least,
+   that the stack is continuous.  */
+#ifdef __GNUC__
+#  ifndef GC_SETJMP_WORKS
+  /* GC_SETJMP_WORKS is nearly always appropriate for GCC --
+     see NON_SAVING_SETJMP in the target descriptions.  */   
+  /* Exceptions (see NON_SAVING_SETJMP in target description) are ns32k,
+     SCO5 non-ELF (but Emacs specifies ELF) and SVR3 on x86.
+     Fixme: Deal with ns32k, SVR3.  */
+#    define GC_SETJMP_WORKS 1
+#  endif
+#  ifndef GC_LISP_OBJECT_ALIGNMENT
+#    define GC_LISP_OBJECT_ALIGNMENT (__alignof__ (Lisp_Object))
+#  endif
+#endif
+
+#ifndef HAVE_BCOPY
+#define bcopy(a,b,s) memcpy (b,a,s)
+#endif
+#ifndef HAVE_BZERO
+#define bzero(a,s) memset (a,0,s)
+#endif
+#ifndef HAVE_BCMP
+#define BCMP memcmp
+#endif
+
+#endif /* EMACS_CONFIG_H */
+
 /* 
-Local variables:
+Local Variables:
 mode: c
 End:
 */